Skip to main content
GET
/
prop
/
breach-events
List Breach Events
curl --request GET \
  --url https://api.{your-broker}.slate-labs.com/prop/breach-events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "journey_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_login": "<string>",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_name": "<string>",
      "customer_email": "<string>",
      "rule_type": "<string>",
      "severity": "<string>",
      "review_status": "<string>",
      "triggered_at": "<string>",
      "triggered_value": 123,
      "threshold_value": 123,
      "baseline_value": 123,
      "tick_symbol": "<string>",
      "tick_bid": 123,
      "tick_ask": 123,
      "tick_source": "<string>",
      "detected_by": "<string>",
      "positions_closed": [
        "<unknown>"
      ],
      "positions_failed": [
        "<unknown>"
      ]
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string | null
severity
string | null
limit
integer
default:100
offset
integer
default:0

Response

Successful Response

items
PropBreachEvent · object[]
required
total
integer
required